package cn.com.poc.thirdparty.resource.demand.ai.entity.qaknowledge;

import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;

/**
 * @author alex.yao
 * @date 2025/2/21
 */
public class QAKnowledgeResponse extends AbstractRequest<QAKnowledgeChunkResult> implements Serializable {

    private String knowledgeId;

    private String query;

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public String getKnowledgeId() {
        return knowledgeId;
    }

    public void setKnowledgeId(String knowledgeId) {
        this.knowledgeId = knowledgeId;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
